Package ru.bitel.bgbilling.plugins.assistant.common.bean

# Class AssistantAction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.assistant.common.bean.AssistantAction

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class AssistantAction extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistantAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActionClass()`
  `String`
  `getActionId()`
  `String`
  `getConfig()`
  `int`
  `getDependent()`
  `int`
  `getSort()`
  `List<Integer>`
  `getUserRoleIds()`
  `void`
  `setActionClass(String actionClass)`
  `void`
  `setActionId(String actionId)`
  `void`
  `setConfig(String config)`
  `void`
  `setDependent(int dependent)`
  `void`
  `setSort(int sort)`
  `void`
  `setUserRoleIds(List<Integer> userRoleIds)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### AssistantAction

    public AssistantAction()

- ## Method Details

  - ### getActionId

    public String getActionId()

  - ### setActionId

    public void setActionId(String actionId)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getActionClass

    public String getActionClass()

  - ### setActionClass

    public void setActionClass(String actionClass)

  - ### getUserRoleIds

    public List<Integer> getUserRoleIds()

  - ### setUserRoleIds

    public void setUserRoleIds(List<Integer> userRoleIds)

  - ### getDependent

    public int getDependent()

  - ### setDependent

    public void setDependent(int dependent)

  - ### getSort

    public int getSort()

  - ### setSort

    public void setSort(int sort)